=== modified file 'softwarecenter/backend/login_sso.py'
--- softwarecenter/backend/login_sso.py	2011-04-29 15:00:11 +0000
+++ softwarecenter/backend/login_sso.py	2011-05-18 07:44:26 +0000
@@ -20,13 +20,11 @@
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 import dbus
-import gobject
 import gtk
 import logging
 
 from dbus.mainloop.glib import DBusGMainLoop
 DBusGMainLoop(set_as_default=True)
-from gettext import gettext as _
 
 from login import LoginBackend
 

=== modified file 'softwarecenter/backend/restfulclient.py'
--- softwarecenter/backend/restfulclient.py	2011-04-18 02:20:09 +0000
+++ softwarecenter/backend/restfulclient.py	2011-05-18 07:44:26 +0000
@@ -39,7 +39,7 @@
 from lazr.restfulclient.resource import ServiceRoot
 from lazr.restfulclient.authorize import BasicHttpAuthorizer
 from lazr.restfulclient.authorize.oauth import OAuthAuthorizer
-from oauth.oauth import OAuthConsumer, OAuthToken
+from oauth.oauth import OAuthToken
 
 from softwarecenter.paths import SOFTWARE_CENTER_CACHE_DIR
 from Queue import Queue
@@ -530,15 +530,3 @@
         sys.exit(1)
 
 
-    # wait
-    try:
-        glib.MainLoop().run()
-    except KeyboardInterrupt:
-        try:
-            sso.worker_thread.shutdown()
-        except:
-            pass
-        try:
-            scagent.worker_thread.shutdown()
-        except:
-            pass

=== modified file 'utils/bench.py'
--- utils/bench.py	2010-09-10 07:17:42 +0000
+++ utils/bench.py	2011-05-18 07:44:26 +0000
@@ -5,8 +5,9 @@
 import xapian
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
-from softwarecenter.utils import *
+from softwarecenter.enums import XAPIAN_VALUE_PKGNAME, XAPIAN_VALUE_APPNAME
+from softwarecenter.paths import XAPIAN_BASE_PATH
+from softwarecenter.utils import ExecutionTime
 
 def run_benchmark(db):
     # test postlist

=== modified file 'utils/installedapps.py'
--- utils/installedapps.py	2010-05-09 07:13:26 +0000
+++ utils/installedapps.py	2011-05-18 07:44:26 +0000
@@ -6,8 +6,9 @@
 import xapian
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
-from softwarecenter.utils import *
+from softwarecenter.enums import XAPIAN_VALUE_PKGNAME, XAPIAN_VALUE_APPNAME, XAPIAN_VALUE_SUMMARY
+from softwarecenter.paths import XAPIAN_BASE_PATH
+
 
 if __name__ == "__main__":
 

=== modified file 'utils/query.py'
--- utils/query.py	2010-09-10 07:17:42 +0000
+++ utils/query.py	2011-05-18 07:44:26 +0000
@@ -7,8 +7,9 @@
 from optparse import OptionParser
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
-from softwarecenter.utils import *
+from softwarecenter.enums import XAPIAN_VALUE_PKGNAME
+from softwarecenter.paths import XAPIAN_BASE_PATH
+from softwarecenter.utils import ExecutionTime
 
 def parse_query(parser, search_strings, verbose=True):
     str_to_prefix = { 'section' : 'AE',

=== modified file 'utils/search_query.py'
--- utils/search_query.py	2010-09-10 07:17:42 +0000
+++ utils/search_query.py	2011-05-18 07:44:26 +0000
@@ -7,8 +7,8 @@
 from optparse import OptionParser
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
-from softwarecenter.utils import *
+from softwarecenter.paths import XAPIAN_BASE_PATH
+from softwarecenter.utils import ExecutionTime
 
 def run_query(parser, search_terms, verbose):
     for search_term in search_terms:

=== modified file 'utils/stats.py'
--- utils/stats.py	2010-05-09 07:13:26 +0000
+++ utils/stats.py	2011-05-18 07:44:26 +0000
@@ -23,7 +23,8 @@
 import xapian
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
+from softwarecenter.enums import XAPIAN_VALUE_PKGNAME
+from softwarecenter.paths import XAPIAN_BASE_PATH
 
 if __name__ == "__main__":
 

=== modified file 'utils/submit_review.py'
--- utils/submit_review.py	2011-05-17 08:08:10 +0000
+++ utils/submit_review.py	2011-05-18 07:44:26 +0000
@@ -496,19 +496,19 @@
         
         #clears spinner or error image from dialog submission label before trying to display one or the other
         try: 
-            result = self.status_hbox.query_child_packing(self.submit_spinner)
+            self.status_hbox.query_child_packing(self.submit_spinner)
             self.status_hbox.remove(self.submit_spinner)
         except TypeError:
             pass
         
         try: 
-            result = self.status_hbox.query_child_packing(self.submit_error_img)
+            self.status_hbox.query_child_packing(self.submit_error_img)
             self.status_hbox.remove(self.submit_error_img)
         except TypeError:
             pass
             
         try: 
-            result = self.status_hbox.query_child_packing(self.submit_success_img)
+            self.status_hbox.query_child_packing(self.submit_success_img)
             self.status_hbox.remove(self.submit_success_img)
         except TypeError:
             pass

=== modified file 'utils/topapps.py'
--- utils/topapps.py	2010-05-09 07:13:26 +0000
+++ utils/topapps.py	2011-05-18 07:44:26 +0000
@@ -6,8 +6,11 @@
 import xapian
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
-from softwarecenter.utils import *
+from softwarecenter.enums import (XAPIAN_VALUE_PKGNAME, 
+                                  XAPIAN_VALUE_APPNAME, 
+                                  XAPIAN_VALUE_SUMMARY, 
+                                  XAPIAN_VALUE_POPCON)
+from softwarecenter.paths import XAPIAN_BASE_PATH
 
 if __name__ == "__main__":
 

=== modified file 'utils/wildcard_query_parser.py'
--- utils/wildcard_query_parser.py	2010-05-09 07:13:26 +0000
+++ utils/wildcard_query_parser.py	2011-05-18 07:44:26 +0000
@@ -7,8 +7,8 @@
 from optparse import OptionParser
 
 sys.path.insert(0, "../")
-from softwarecenter.enums import *
-from softwarecenter.utils import *
+from softwarecenter.paths import XAPIAN_BASE_PATH
+from softwarecenter.utils import ExecutionTime
 
 if __name__ == "__main__":
 

